Extending Qt Creator Manual | SimpleTargetRunner

Extending Qt Creator Manual 4.5.2

# SimpleTargetRunner Class

(ProjectExplorer::SimpleTargetRunner)

Inherits: | ProjectExplorer::RunWorker

- List of all members, including inherited members

## Public Functions

| SimpleTargetRunner(RunControl *runControl)
IDevice::ConstPtr | device() const
void | setDevice(const IDevice::ConstPtr &device)
void | setRunnable(const Runnable &runnable)

- 23 public functions inherited from ProjectExplorer::RunWorker

## Protected Functions

void | start() override
void | stop() override

### Additional Inherited Members

- 2 signals inherited from ProjectExplorer::RunWorker
- 1 static public member inherited from ProjectExplorer::RunWorker

## Member Function Documentation

### SimpleTargetRunner::SimpleTargetRunner(RunControl *runControl)

Default constructs an instance of SimpleTargetRunner.

### IDevice::ConstPtr SimpleTargetRunner::device() const

See also setDevice().

### void SimpleTargetRunner::setDevice(const IDevice::ConstPtr &device)

See also device().

### void SimpleTargetRunner::setRunnable(const Runnable &runnable)

### `[protected]` void SimpleTargetRunner::start()

### `[protected]` void SimpleTargetRunner::stop()